// FILE: dsp32ckd.h                Copyright (c), Symmetric Research, 1999
//

#define    DLL_DEVICE_NAME    "\\\\.\\Dsp32C"
#define     NT_DEVICE_NAME   L"\\Device\\Dsp32C0"
#define    DOS_DEVICE_NAME   L"\\??\\Dsp32C"
#define OLDDOS_DEVICE_NAME   L"\\DosDevices\\Dsp32C"
#define  DRIVER_CLASS_NAME   L"SR Dsp32C Kernel Driver Device"
#define    REG_DRIVER_NAME    "Dsp32C"
#define    REG_DRIVER_DESC    "Dsp32C DSP Device Driver"
#define    REG_DRIVER_GROUP   "Digital Signal Processing Devices"
#define    REG_PARM_BASEIO    "BaseIo"
#define   LREG_PARM_BASEIO   L"BaseIo"
#define    REG_PARM_BASESEL   "BaseSel"
#define   LREG_PARM_BASESEL  L"BaseSel"


#define  FILE_RW_ACCESS     (FILE_READ_ACCESS | FILE_WRITE_ACCESS)


// Device types in the range 32768-65536 are for customer use.
// The IOCTL function codes from 0x800 to 0xFFF are for customer use.
// 45678 = 0xB26E

#define  DSP32C_DEVICE_TYPE  45678


#define IOCTL_DSP32C_DSPGETBASE \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x900, METHOD_BUFFERED, FILE_RW_ACCESS )

#define IOCTL_DSP32C_DSPSETBASE \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x901, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_DSP32C_DSPIN \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x902, METHOD_BUFFERED, FILE_READ_ACCESS )

#define IOCTL_DSP32C_DSPOUT \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x903, METHOD_BUFFERED, FILE_WRITE_ACCESS )

#define IOCTL_DSP32C_DSPINSW \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x904, METHOD_OUT_DIRECT, FILE_RW_ACCESS )

#define IOCTL_DSP32C_DSPOUTSW \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x905, METHOD_IN_DIRECT, FILE_WRITE_ACCESS )

#define IOCTL_DSP32C_DSPOUTLONG \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x906, METHOD_IN_DIRECT, FILE_WRITE_ACCESS )

#define IOCTL_DSP32C_DSPSELOUT \
    CTL_CODE( DSP32C_DEVICE_TYPE, 0x907, METHOD_BUFFERED, FILE_WRITE_ACCESS )



typedef struct _PassedParms {
        
        unsigned long BaseIo;
        unsigned long BaseSel;
        unsigned long RegOffset;
        short        *Value;
        
        } PASSEDPARMS, *PPASSEDPARMS;

