/* FILE: add.s                  Copyright (c), Symmetric Research, 1991
 *
 * This is the example program add written in with the AT&T assembler.  It
 * should be compared with the program add.dsp.
 *
 * The sequence of commands to build the final executable add.out are in
 * the make file add.  In order to actually assemble and link the file
 * you will have to have the AT&T assembler tools installed on your disk.
 *
 * To execute the program, the file add.out should be downloaded in the
 * DSPMON monitor with the l command.  DSPMON will automatically check the
 * format of the downloaded file to detect whether it is from DPSASM or
 * the AT&T assembler, and download it correctly.
 *
 *
 * NOTES:
 *
 * Location information for the various sections of an AT&T assembler file
 * is specified in an ifile for the linker.  This puts off locating code
 * at absolute address until the linking phase.
 *
 * The DSPMON downloader must have a completely located file for to
 * download.  When using the AT&T assembler, make sure to created a .out
 * file which has had all relocation information resolved before downloading.
 *
 *
 * Also, that the naming conventions for the AT&T assembler files are:
 *
 *
 *      add.s           AT&T assembler source
 *      add.o           AT&T assembler output, still relocatable
 *      add.out         AT&T linker output, fully located
 *      ifile           AT&T linker file, specifying location information
 *
 *
 * These conventions are different from those of the DSPASM assembler so
 * that no naming conflicts should occur.
 *
 *
 *
 */

.rsect  ".main"


/* main()
 *
 * Add two numbers, sum = 5 + 2.
 *
 *
 */

main:
        r1 = 5;
        r2 = 2;

        r3 = r1 + r2; *sum = r3;        /* sum = r1 + r2        */


wait:   goto wait; nop;                 /* wait for the PC      */



/* Program data. */

sum:    int     0
